import java.util.Scanner;

public class ReadNumberAndCharacter {
    public static void main(String[] args){
    	Scanner kbScanner = new Scanner(System.in);
    	char ch;
    	double num;
        System.out.println("Enter a number: ");
        num = kbScanner.nextDouble();
        kbScanner.nextLine();      // dummy nextLine to remove \n or \r\n from the input buffer.
        System.out.println("Enter a character: ");
        ch = kbScanner.nextLine().charAt(0);
        System.out.println("The number is: " + num + ", the character is: " + ch);
    }
}
